summaryrefslogtreecommitdiff
path: root/deps/gyp/test/mac/type_envvars/test_bundle_executable.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gyp/test/mac/type_envvars/test_bundle_executable.sh')
-rwxr-xr-xdeps/gyp/test/mac/type_envvars/test_bundle_executable.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/deps/gyp/test/mac/type_envvars/test_bundle_executable.sh b/deps/gyp/test/mac/type_envvars/test_bundle_executable.sh
new file mode 100755
index 0000000000..5cd740c6ba
--- /dev/null
+++ b/deps/gyp/test/mac/type_envvars/test_bundle_executable.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright (c) 2012 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+test $MACH_O_TYPE = mh_execute
+test $PRODUCT_TYPE = com.apple.product-type.application
+test "${PRODUCT_NAME}" = "My App"
+test "${FULL_PRODUCT_NAME}" = "My App.app"
+
+test "${EXECUTABLE_NAME}" = "My App"
+test "${EXECUTABLE_PATH}" = "My App.app/Contents/MacOS/My App"
+test "${WRAPPER_NAME}" = "My App.app"
+
+[[ ! $DYLIB_INSTALL_NAME_BASE && ${DYLIB_INSTALL_NAME_BASE-_} ]]
+[[ ! $LD_DYLIB_INSTALL_NAME && ${LD_DYLIB_INSTALL_NAME-_} ]]
+
+"$(dirname "$0")/test_check_sdkroot.sh"